#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)nmen_cgtppatch.pl 1.5 02/02/07 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}

##################################################################################
#
#                               This is the main
#
##################################################################################
   
init_and_read_arg($0,
		  [ ROOT_DIR, PATCH_SUBDIR, PATCH_NUMBER, NODE_ROLE],
		  [ TARGET_OS ]);

if ($RECOVERY ne "") {
  print_recovery_node("CGTP patch clean-up for diskless") ;
  remove_nmen_patch($NODE, $PATCH_NUMBER, "DISKLESS") ;
  remove_nmen_patch($NODE, $PATCH_NUMBER, "SOLARIS") ;
} else {
  print_stage_node("CGTP patch installation for diskless") ;
  install_nmen_patch ($NODE, $ROOT_DIR, $PATCH_SUBDIR, $PATCH_NUMBER, "SOLARIS");
  install_nmen_patch ($NODE, $ROOT_DIR, $PATCH_SUBDIR, $PATCH_NUMBER, "DISKLESS");
}

# That's all folk!
exit(0);







